local ZomboWinDefeat = require("ZomboWinDefeat/ZomboWinDefeat")
ZomboWinDefeatConfig = ZomboWinDefeatConfig;

--- Setup ModOptions
local ZomboWinDefeatModOptions = {
	options = {
		box0 = true,	---master
		dropdown13 = 1,	---who can initiate defeats
		box1 = true,	---no wounds
		box5 = false,	---ignore skirts and dresses
		box7 = false,	---samesex
		box15 = false,	---remove zomb clothes
		dropdown9 = 3,	---no sickness
		--dropdown8 = 3,	---blunt attack knockout
		dropdown3 = 4,	---range of grab, NOT ATTACK
		dropdown1 = 2,	---clothes per grab
		dropdown2 = 1,	---cooldown between grab or smash
		dropdown5 = 3,	---trauma length
		dropdown6 = 1,	---unblessing multiplier
		dropdown10 = 1,	---bandit horny
		dropdown11 = 1,	---bandit defeat distance
		dropdown12 = 2,	---bandit defeat condition
		dropdown14 = 3,	---Bandits Defeat Cooldown
		box18 = true,	---Custom Bandits Speeches
		box14 = true,	---NPC master
		box17 = true,	---NPC no sick
		box8 = true,	---NPC clothes stagger
		box2 = false,	---NPC drop stripped clothes
		box10 = true,	---NPC strip slow
		--box13 = false,	---NPC itFollows
		dropdown4 = 2,	---NPC sickness
		--dropdown7 = 2,	---NPC defeat attempts
		box3 = false,	---DEBUG skip clothes logic
		--box4 = false,	---PLH groin infection
		--box6 = false,	---PLH pvpD
		--box9 = false,	---PLH super H zombs
		--box11 = false,	---PLH exhaust penalty
		--box12 = false,	---PLH immersive thoughts
	},
	names = {
		box0 = getText("IGUI_Defeat_Enable"),
		dropdown13 = getText("IGUI_dWho"),
		box1 = getText("IGUI_MockEvasion"),
		box5 = getText("IGUI_ExtraVuln"),
		box7 = getText("IGUI_samesexStrip"),
		box15 = getText("IGUI_removeDummy"),
		dropdown9 = getText("IGUI_noSick"),
		--dropdown8 = getText("IGUI_bluntKnockout"),
		dropdown3 = getText("IGUI_Grab_Range"),
		dropdown1 = getText("IGUI_Cooldown_Grabs"),
		dropdown2 = getText("IGUI_Cooldown_Pene"),
		dropdown5 = getText("IGUI_traumaLength"),
		dropdown6 = getText("IGUI_ubM"),
		dropdown10 = getText("IGUI_bDefeatHo"),
		dropdown11 = getText("IGUI_bDefeatDistance"),
		dropdown12 = getText("IGUI_bDefeatHP"),
		dropdown14 = getText("IGUI_bBanDefeat"),
		box18 = getText("IGUI_bBanSpeech"),
		box14 = getText("IGUI_Defeat_Enable_NPC"),
		box17 = getText("IGUI_noNpcSick"),
		box8 = getText("IGUI_clothingRip"),
		box2 = getText("IGUI_Drop_Items_On_Ground"),
		box10 = getText("IGUI_stripPenalty"),
		--box13 = getText("IGUI_defeatPenalty"),
		dropdown4 = getText("IGUI_Sickness"),
		--dropdown7 = getText("IGUI_dAttempt"),
		box3 = getText("IGUI_SkipFor"),
		--box4 = getText("IGUI_groinInfection"),
		--box6 = getText("IGUI_pvp_Enable"),
		--box9 = getText("IGUI_dryHump"),
		--box11 = getText("IGUI_exhaustedPenalty"),
		--box12 = getText("IGUI_immersiveThoughts"),
	},
	mod_id = "ZomboWinDefeatStrip",
	mod_shortname = "ZomboWin Defeat Options",
}

ZomboWinDefeatConfig.ModOptions = ZomboWinDefeatModOptions

if ModOptions and ModOptions.getInstance then
	ModOptions:getInstance(ZomboWinDefeatConfig.ModOptions)

	--- Initialize options
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown1
		table.insert(dropdown, "Never")
		table.insert(dropdown, "One")
		table.insert(dropdown, "Two")
		table.insert(dropdown, "Three")
		table.insert(dropdown, "Four")
		table.insert(dropdown, "Five")
		table.insert(dropdown, "Everything")
	end
	
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown2
		table.insert(dropdown, "Instant")
		table.insert(dropdown, "Quick, 2-3 seconds")
		table.insert(dropdown, "Long, 4-5 seconds")
		table.insert(dropdown, "Longer, 6-8 seconds")
		table.insert(dropdown, "Very Long, 8-9 seconds")
		table.insert(dropdown, "Longest, 10-11 seconds")
	end

	--- GRAB RANGE
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown3
		table.insert(dropdown, "Barely, 25%")
		table.insert(dropdown, "Close, 50%")
		table.insert(dropdown, "Short, 75%")
		table.insert(dropdown, "Regular, 100%")
	end
	
	--- Sickness
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown4
		table.insert(dropdown, "None")
		table.insert(dropdown, "Minuscule")
		table.insert(dropdown, "Minor")
		table.insert(dropdown, "Deadly")
		table.insert(dropdown, "Fatal")
		table.insert(dropdown, "Lethal")
	end
	
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown5
		table.insert(dropdown, "None")
		table.insert(dropdown, "3-6 hours")
		table.insert(dropdown, "6-12 hours")
		table.insert(dropdown, "1-2 days")
		table.insert(dropdown, "3-5 days")
		table.insert(dropdown, "5-7 days")
	end
	
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown6
		table.insert(dropdown, "Normal")
		table.insert(dropdown, "Halved")
		table.insert(dropdown, "Doubled")
	end
	--[[
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown7
		table.insert(dropdown, "Never")
		table.insert(dropdown, "100 attempts")
		table.insert(dropdown, "200 attempts")
		table.insert(dropdown, "300 attempts")
		table.insert(dropdown, "400 attempts")
		table.insert(dropdown, "500 attempts")
	end]]
	--[[do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown8
		table.insert(dropdown, "Always")
		table.insert(dropdown, "Often")
		table.insert(dropdown, "Sometimes")
		table.insert(dropdown, "Never")
	end]]
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown9
		table.insert(dropdown, "None")
		table.insert(dropdown, "Queasy")
		table.insert(dropdown, "Nauseous")
		table.insert(dropdown, "Sick")
		table.insert(dropdown, "Fever")
	end
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown10
		table.insert(dropdown, "Always")		--
		table.insert(dropdown, "Often")			--
		table.insert(dropdown, "Sometimes")		--
		table.insert(dropdown, "Rarely")		--
		table.insert(dropdown, "Never")			--
	end
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown11
		table.insert(dropdown, "Near, 6 meters")
		table.insert(dropdown, "Close, 10 meters")
		table.insert(dropdown, "Far, 14 meters")
		table.insert(dropdown, "Further, 18 meters")
		table.insert(dropdown, "Distant, 22 meters")
	end
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown12
		table.insert(dropdown, "Healthy, 100%")
		table.insert(dropdown, "Well, 90%")
		table.insert(dropdown, "Fine, 80%")
		table.insert(dropdown, "Discomfort, 70%")
		table.insert(dropdown, "Hurt, 60%")
		table.insert(dropdown, "Wounded, 50%")
		table.insert(dropdown, "Critical, 40%")
		table.insert(dropdown, "Dying, 30%")
	end
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown13
		table.insert(dropdown, "Zombies and Bandits")
		table.insert(dropdown, "Zombies Only")
		table.insert(dropdown, "Bandits Only")
	end
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown14
		table.insert(dropdown, "Instant")
		table.insert(dropdown, "Short")
		table.insert(dropdown, "Normal")
		table.insert(dropdown, "Long")
		table.insert(dropdown, "Longest")
	end
	-- tooltip description
	do
		ZomboWinDefeatModOptions.options_data.box0.tooltip = "IGUI_Defeat_Enable_Tooltip"
		ZomboWinDefeatModOptions.options_data.box1.tooltip = "IGUI_MockEvasion_Tooltip"
		ZomboWinDefeatModOptions.options_data.box2.tooltip = "IGUI_Drop_Items_On_Ground_Tooltip"
		ZomboWinDefeatModOptions.options_data.box3.tooltip = "IGUI_SkipFor_Tooltip"
		--ZomboWinDefeatModOptions.options_data.box4.tooltip = "IGUI_groinInfection_Tooltip"
		ZomboWinDefeatModOptions.options_data.box5.tooltip = "IGUI_ExtraVuln_Tooltip"
		--ZomboWinDefeatModOptions.options_data.box6.tooltip = "IGUI_pvp_Enable_Tooltip"
		ZomboWinDefeatModOptions.options_data.box7.tooltip = "IGUI_samesexStrip_Tooltip"
		ZomboWinDefeatModOptions.options_data.box8.tooltip = "IGUI_clothingRip_Tooltip"
		--ZomboWinDefeatModOptions.options_data.box9.tooltip = "IGUI_dryHump_Tooltip"
		ZomboWinDefeatModOptions.options_data.box10.tooltip = "IGUI_stripPenalty_Tooltip"
		--ZomboWinDefeatModOptions.options_data.box11.tooltip = "IGUI_exhaustedPenalty_Tooltip"
		--ZomboWinDefeatModOptions.options_data.box12.tooltip = "IGUI_immersiveThoughts_Tooltip"
		--ZomboWinDefeatModOptions.options_data.box13.tooltip = "IGUI_defeatPenalty_Tooltip"
		ZomboWinDefeatModOptions.options_data.box14.tooltip = "IGUI_Defeat_Enable_NPC_Tooltip"
		ZomboWinDefeatModOptions.options_data.box15.tooltip = "IGUI_removeDummy_Tooltip"
		ZomboWinDefeatModOptions.options_data.box17.tooltip = "IGUI_noNpcSick_Tooltip"
		ZomboWinDefeatModOptions.options_data.box18.tooltip = "IGUI_bBanSpeech_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown2.tooltip = "IGUI_Cooldown_Pene_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown3.tooltip = "IGUI_Grab_Range_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown4.tooltip = "IGUI_Sickness_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown5.tooltip = "IGUI_traumaLength_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown6.tooltip = "IGUI_ubM_Tooltip"
		--ZomboWinDefeatModOptions.options_data.dropdown7.tooltip = "IGUI_dAttempt_Tooltip"
		--ZomboWinDefeatModOptions.options_data.dropdown8.tooltip = "IGUI_bluntKnockout_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown9.tooltip = "IGUI_noSick_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown10.tooltip = "IGUI_bDefeatHo_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown11.tooltip = "IGUI_bDefeatDistance_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown12.tooltip = "IGUI_bDefeatHP_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown13.tooltip = "IGUI_dWho_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown14.tooltip = "IGUI_bBanDefeat_Tooltip"
	end

	ModOptions:loadFile()
end